#include "common.h"
#include "addrWnd.h"

HWND hAddrWnd = NULL;

BOOL CALLBACK AddrWndProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam)
{
	switch(msg)
	{
	case WM_INITDIALOG:
		return TRUE;	// set focus
	case WM_LBUTTONDOWN:
		SendMessage(hWnd, WM_NCLBUTTONDOWN, HTCAPTION, 0);
		break;
	case WM_CLOSE:
		EndDialog(hWnd, 0);
		hAddrWnd = NULL;
		break;
	case WM_COMMAND:
		switch(HIWORD(wParam))
		{
		case 0:
			switch(LOWORD(wParam))
			{
			case IDOK:
				PostMessage(hWnd, WM_CLOSE, 0, 0);
				break;
			case IDC_GETADDR:
				MessageBeep(MB_ICONERROR);
				break;
			}
		}
		break;
	}

	return FALSE;
}
